From 95ea99d4b9e366e5992151f0d721ba1707898e93 Mon Sep 17 00:00:00 2001
From: Francois-Rene Rideau <tunes@google.com>
Date: Tue, 29 Jan 2013 12:54:00 -0500
Subject: [PATCH] Fix to find the DTD pathname the correct ASDF 2 way (old ASDF
 1 way won't work in ASDF 3).

---
 xml/catalog.lisp | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/xml/catalog.lisp b/xml/catalog.lisp
index 301eb67..a4f5e17 100644
--- a/xml/catalog.lisp
+++ b/xml/catalog.lisp
@@ -226,14 +226,12 @@
       (warn "ignoring catalog error: ~A" c))))
 
 (defparameter *catalog-dtd*
-    (let* ((cxml
-            (slot-value (asdf:find-system :cxml) 'asdf::relative-pathname))
-           (dtd (merge-pathnames "catalog.dtd" cxml)))
-      (with-open-file (s dtd :element-type '(unsigned-byte 8))
-        (let ((bytes
-               (make-array (file-length s) :element-type '(unsigned-byte 8))))
-          (read-sequence bytes s)
-          bytes))))
+  (let ((dtd (asdf:system-relative-pathname :cxml "catalog.dtd")))
+    (with-open-file (s dtd :element-type '(unsigned-byte 8))
+      (let ((bytes
+              (make-array (file-length s) :element-type '(unsigned-byte 8))))
+        (read-sequence bytes s)
+        bytes))))
 
 (defun parse-catalog-file/strict (uri)
   (let* ((*catalog* nil)
-- 
1.8.1

